﻿using UnityEngine;
using System.Collections;

public class MainManager : MonoBehaviour {

	public GameObject obj;
	public float speed = 0.05f;

	private int eyeTest = 0;
	private int mouthTest = 0;

	private Monolizm.FaceAnimationController m_faceAnimationController;

	void Awake () {
		Application.targetFrameRate = 60;
	}

	// Use this for initialization
	void Start () {
		m_faceAnimationController = GetComponent<Monolizm.FaceAnimationController>();
	}
	
	// Update is called once per frame
	void Update () {

		// ちちも回転
		RotationChichimo();

	}

	public void OnTouchEyesButton ()
	{
		eyeTest++;
		if (eyeTest >= (int)Monolizm.FaceAnimationController.EyeTypes.NUM) {
			eyeTest = 0;
		}
		m_faceAnimationController.ChangeEyeType ((Monolizm.FaceAnimationController.EyeTypes)eyeTest);
	}

	public void OnTouchMouthButton ()
	{
		mouthTest++;
		if (mouthTest >= (int)Monolizm.FaceAnimationController.MouthTypes.NUM) {
			mouthTest = 0;
		}
		m_faceAnimationController.ChangeMouthType ((Monolizm.FaceAnimationController.MouthTypes)mouthTest);
	}

	private void RotationChichimo ()
	{
		if(Input.touchCount > 0){

			Touch touch = Input.GetTouch(0);


			switch(touch.phase){

			case TouchPhase.Began:
				Debug.Log("touch  Panel start");
				break;

			case TouchPhase.Moved:

				// ドラッグ操作で回転させる
				//float xAngle = touch.deltaPosition.y*speed*10;
				//float yAngle = -touch.deltaPosition.x *speed *10;
				Vector2 newVec = new Vector2(touch.position.x,Screen.height - touch.position.y);
				Vector2 tapPoint = Camera.main.ScreenToWorldPoint(newVec);


				float zAngle = 0.0f;

				float xMove = touch.deltaPosition.x * speed *10;
				float yMove = touch.deltaPosition.y * speed *10;

				if(transform.position.x > tapPoint.x)
				{
					if(transform.position.y > tapPoint.y)
					{
						zAngle = -yMove -xMove;
					}
					else
					{
						zAngle = -yMove +xMove;
					}
				}
				else
				{
					if(transform.position.y > tapPoint.y)
					{
						zAngle = yMove -xMove;
					}
					else
					{
						zAngle = yMove +xMove;
					}
				}

				obj.transform.Rotate(0.0f,-zAngle,0.0f,Space.World);

				break;

			case TouchPhase.Ended:
				Debug.Log("touch  Panel end");
				break;

			default: break;

			}
		}
	}
}
