﻿using UnityEngine;
using System.Collections;

public class MotionManager : MonoBehaviour {

	private	Animator 			m_animator;

	/// <summary>
	/// アニメーションの種類.
	/// </summary>
	public enum AnimationTypes:int
	{
		Idle0,			/// アイドル.
		Walk,			/// 歩く.
		Idle1,			/// アイドル.
		Run0,			/// 走る.
		Run1,			/// 走る.
//		Clash0,			/// クラッシュ.
//		Clash1,			/// クラッシュ.
		NUM,			/// 目の種類数.
	}
	private int m_aniNo = 0;

	// Use this for initialization
	void Start () {
		m_animator 		= gameObject.GetComponent<Animator> ();
	}
	
	// Update is called once per frame
	void Update () {

	}

	public void OnTouchMotionButton ()
	{
		m_aniNo++;
		if (m_aniNo >= (int)AnimationTypes.NUM) {
			m_aniNo = 0;
		}

		switch(m_aniNo) {
		case (int)AnimationTypes.Idle0:
			m_animator.SetTrigger ("IDLE0");
			break;

		case (int)AnimationTypes.Walk:
			m_animator.SetTrigger ("WALK");
			break;

		case (int)AnimationTypes.Idle1:
			m_animator.SetTrigger ("IDLE1");
			break;

		case (int)AnimationTypes.Run0:
			m_animator.SetTrigger ("RUN0");
			break;

		case (int)AnimationTypes.Run1:
			m_animator.SetTrigger ("RUN1");
			break;

//		case (int)AnimationTypes.Clash0:
//			m_animator.SetTrigger ("CLASH0");
//			break;
//
//		case (int)AnimationTypes.Clash1:
//			m_animator.SetTrigger ("CLASH1");
//			m_aniNo = 0;
//			break;

		}
	}
}
